/**
 * @param pref passed in theme config: sm, base, lg, etc
 * @param mul the default border radius, for pref base
 * @returns border radius
 */
export function getBorderRadius(pref: string | undefined, mul?: number) {
	const prefs = {
		none: 0,
		undefined: 0,
		sm: 0.5,
		base: 1,
		md: 1.5,
		lg: 32,
	};

	return prefs[pref as keyof typeof prefs] * (mul ?? 16);
}
